06
août
2014

Le code suivant démarre une instance de Calc et écrit dans la cellule A1 de la première feuille :

Dim servManager = CreateObject("com.sun.star.ServiceManager")
Dim desktop = servManager.createInstance("com.sun.star.frame.Desktop")
Dim arguments As Object() = {}
Dim document = desktop.loadComponentFromURL("private:factory/scalc", "_blank", 0, arguments)
Dim firstSheet = document.Sheets.getByIndex(0)
firstSheet.getCellbyPosition(0, 0).setString("Hello world!")
Libellés : ,

19
jun
2014

Tiens en passant une petite astuce pour Doctrine ORM. Si vous utilisez MS SQL Serveur, vous vous rendrez bien vite compte que ce dernier est beaucoup plus exigeant pour les changements de schéma. Si par exemple vous voulez ajouter une colonne, il faut impérativement fournir une valeur par défaut.

Libellés : ,

13
jun
2014

Retrouver les insertions d'un bloc dynamique peut se révéler plus compliqué que prévu. Si par exemple vous avez un bloc nommé Porte - Métrique (exemple de bloc dynamique fourni avec AutoCAD dans la palette d'outils, onglet Architecture), le code suivant :

(ssget "X" '((0 . "INSERT") (2 . "Porte - Métrique")))

Vous retournera un jeu de sélection contenant uniquement les insertions du bloc dynamique Porte - Métrique qui ont les propriétés par défaut (bloc inséré sans modification ou insertion réinitialisée avec l'option Réinitialiser le bloc du menu contextuel).

Libellés : , ,

01
jun
2014

Wiip MoveBackup 1.4 est disponible avec le support de Revit 2015 : http://goo.gl/tZuFlG.

Libellés : ,

30
may
2014

Il y a peu, je vous parlais de la traduction française de l'interface de Revit qui laissait à désirer. Eh bien la situation ne va pas en s'arrangeant. Le répertoire de la bibliothèque où sont stockés les poteaux porteurs se nommait Structure\Poteaux dans Revit 2014, il a maintenant été traduits Structure\Colonnes dans Revit 2015. Une mauvaise traduction de l'anglais Columns...

Et d'un autre côté, pour les poteaux architecturaux, là où on trouve bien des colonnes (corinthienne, dorique), le répertoire s'appelle bien Poteaux...

Libellés : ,

13
may
2014

IGES (Initial Graphics Exchange Specification) est un format de fichier utilisé pour les échanges de données entre les logiciels de CAO, d'une façon similaire au format DXF ou STEP. Les fichiers IGES portent généralement l'extension .igs.

IGES est une norme ANSI dont la première version a été développée en 1980. La dernière version (5.3) date de 1996.

Ce format est obsolète, mais on peut encore le croiser de temps en temps. AutoCAD depuis la version 2013 a deux commandes IMPORTIGES et EXPORTIGES pour lire et écrire ces fichiers.

AutoCAD Mechanical a lui une commande IGSIN qui permet de lire des fichiers .igs et une commande IGSOUT qui permet d'exporter de la géométrie.

On peut également ouvrir les fichiers .igs avec Autodesk Inventor.

Libellés : ,

24
mar
2014

Un de ces 4 matins, vous aurez peut-être la surprise d'avoir un fichier RVT où le bouton Informations sur le projet est grisé.

Le bouton Informations sur le projet est grisé

Libellés : ,

11
mar
2014

La traduction en Français de Revit laisse à désirer. Par exemple pour les motifs, on a plusieurs options pour l'orientation. En anglais, ces options se nomment :

  1. Orient to view
  2. Keep readable
  3. Align with element

Options pour l'orientation des motifs en Anglais

Et bien en Français ça donne :

  1. Sélectionner une vue d'orientation
  2. Conserver en lecture
  3. Aligner sur l'élément

Si l'option 3 est correcte, les autres sont très discutables.

Libellés : , ,

07
mar
2014

En théorie, c'est faisable avec la commande EXTRACTDONNEES mais le problème c'est que les codes de formatages sont inclus dans les chaînes extraites.

Libellés : , , ,

24
jan
2014

Un petit exemple commenté de création d'un mur via l'API Revit :

public void CreateWall()
{
  // On récupére le document actif.
  Document document = ActiveUIDocument.Document;

  // On crée une transaction. C'est nécessaire quand on doit modifier le document.
  using(var tr = new Transaction(document, "Création mur")) {

    // On démarre la transaction.
    tr.Start();

    // Pour créer notre mur, on a besoin de créer au préalable la courbe support. On 
    // doit donc créer une ligne droite.
Libellés : , ,